# Interface HandConfig

Configures all hand detection specific options

#### Hierarchy

- GenericConfig
  - HandConfig

- Defined in src/config.ts:120

#####
Index

### Properties

detector
enabled
iouThreshold
landmarks
maxDetected
minConfidence
modelPath
rotation
skeleton
skipFrames
skipTime

## Properties

### detector

detector: {
modelPath?: string;
}

#### Type declaration

- ##### `Optional` modelPath?: string

  path to hand detector model json

- Defined in src/config.ts:131

### enabled

enabled: boolean

is module enabled?

Inherited from GenericConfig.enabled

- Defined in src/config.ts:15

### iouThreshold

iouThreshold: number

minimum overlap between two detected hands before one is discarded

- Defined in src/config.ts:126

### landmarks

landmarks: boolean

should hand landmarks be detected or just return detected hand box

- Defined in src/config.ts:130

### maxDetected

maxDetected: number

maximum number of detected hands

- Defined in src/config.ts:128

### minConfidence

minConfidence: number

minimum confidence for a detected hand before results are discarded

- Defined in src/config.ts:124

### modelPath

modelPath: string

path to model json file (relative to `modelBasePath`

Inherited from GenericConfig.modelPath

- Defined in src/config.ts:17

### rotation

rotation: boolean

should hand rotation correction be performed after hand detection?

- Defined in src/config.ts:122

### skeleton

skeleton: {
modelPath?: string;
}

#### Type declaration

- ##### `Optional` modelPath?: string

  path to hand skeleton model json

- Defined in src/config.ts:135

### skipFrames

skipFrames: number

how many max frames to go without re-running model if cached results are acceptable for two-phase models such as face and hand caching applies to bounding boxes detection only

Inherited from GenericConfig.skipFrames

- Defined in src/config.ts:20

### skipTime

skipTime: number

how many max milliseconds to go without re-running model if cached results are acceptable for two-phase models such as face and hand caching applies to bounding boxes detection only

Inherited from GenericConfig.skipTime

- Defined in src/config.ts:23